Subject: Re: upgrading compatible library
To: Jeremy C. Reed <>
From: Hubert Feyrer <>
List: tech-pkg
Date: 08/04/2001 16:32:26
On Sat, 4 Aug 2001, Jeremy C. Reed wrote:
> Is "pkg_add -u" the correct way for updating a compatible library
> using a package?

Should work, IF the lib is binary compatioble (same API...).

> Is there any code that first compares the dependencies' DEPENDS so it will
> only deinstall if there is truly a conflict?

I guess that doesn't do, as the dependencies have lib versions
etc. compiled in. If that changes, you got to re-link (-> rebuild) it.

 - Hubert

Want to get a clue on IPv6 but don't know where to start? Try this:
* Basics ->
* Setup  -> 
Of course with your #1 IPv6 ready operating system ->